#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%define		majver		%(echo %{version} | cut -d '.' -f1-2)
%define		extver		pl%(echo %{version} | cut -d '.' -f3)
#-----------------------------------------------------------------------------
Name		:	gsm
Version		:	1.0.18
Release		:	17.2.0.rel%{?dist}
Summary		:	Shared libraries for GSM speech compressor

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	MIT
URL		:	http://www.quut.com/gsm

Source0		:	%{name}-%{version}.tar.gz
Patch0		:	%{name}-%{version}-makefile.patch
#-----------------------------------------------------------------------------
BuildRequires	:	gcc
#-----------------------------------------------------------------------------
%description
Contains runtime shared libraries for libgsm, an implementation of
the European GSM 06.10 provisional standard for full-rate speech
transcoding, prI-ETS 300 036, which uses RPE/LTP (residual pulse
excitation/long term prediction) coding at 13 kbit/s.
 
GSM 06.10 compresses frames of 162 13-bit samples (8 kHz sampling
rate, i.e. a frame rate of 50 Hz) into 260 bits; for compatibility
with typical UNIX applications, our implementation turns frames of 160
16-bit linear samples into 33-byte frames (1650 Bytes/s).
The quality of the algorithm is good enough for reliable speaker
recognition; even music often survives transcoding in recognizable
form (given the bandwidth limitations of 8 kHz sampling rate).
 
The interfaces offered are a front end modelled after compress(1), and
a library API.  Compression and decompression run faster than realtime
on most SPARCstations.  The implementation has been verified against the
ETSI standard test patterns.

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%doc ChangeLog MACHINES README
%license COPYRIGHT
%{_libdir}/lib%{name}.so.*

#-----------------------------------------------------------------------------
%postun
/usr/sbin/ldconfig

%post
/usr/sbin/ldconfig

#=============================================================================
%package		devel
Summary		:       Header files and development libraries for libgsm

#-----------------------------------------------------------------------------
Requires	:	%{name}		= %{version}-%{release}
#-----------------------------------------------------------------------------
%description		devel
Contains header files and development libraries for libgsm, an
implementation of the European GSM 06.10 provisional standard for
full-rate speech transcoding, prI-ETS 300 036, which uses RPE/LTP
(residual pulse excitation/long term prediction) coding at 13 kbit/s.
 
#-----------------------------------------------------------------------------
%files			devel
%{_includedir}/%{name}/%{name}.h
%{_includedir}/%{name}.h
%{_libdir}/lib%{name}.so
%{_mandir}/man3/%{name}.3*
%{_mandir}/man3/%{name}_explode.3.gz
%{_mandir}/man3/%{name}_option.3.gz
%{_mandir}/man3/%{name}_print.3.gz

#=============================================================================
%package		tool
Summary		:       GSM speech compressor tools

#-----------------------------------------------------------------------------
Requires	:	%{name}		= %{version}-%{release}
#-----------------------------------------------------------------------------
%description		tool
Contains command line utilities for libgsm, an implementation of
the European GSM 06.10 provisional standard for full-rate speech
transcoding, prI-ETS 300 036, which uses RPE/LTP (residual pulse
excitation/long term prediction) coding at 13 kbit/s.
 
#-----------------------------------------------------------------------------
%files			tool
%{_bindir}/tcat
%{_bindir}/toast
%{_bindir}/untoast
%{_mandir}/man1/tcat.1.gz
%{_mandir}/man1/toast.1.gz
%{_mandir}/man1/untoast.1.gz

#=============================================================================
%prep
%setup -q -n %{name}-%{majver}-%{extver}
%patch0 -p1


#-----------------------------------------------------------------------------
%build
%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} %{?_smp_mflags} all

#-----------------------------------------------------------------------------
%check
%{__make} addtst

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__mkdir_p}							\
	%{buildroot}%{_bindir}					\
	%{buildroot}%{_includedir}/%{name}			\
	%{buildroot}%{_libdir}					\
	%{buildroot}%{_mandir}/man1				\
	%{buildroot}%{_mandir}/man3				\

%{__make}							\
	INSTALL_ROOT=%{buildroot}%{_prefix}			\
	GSM_INSTALL_INC=%{buildroot}%{_includedir}/%{name}	\
	GSM_INSTALL_LIB=%{buildroot}%{_libdir}			\
	install

# some apps look for this in /usr/include
%{__ln_s}							\
	%{name}/%{name}.h					\
	%{buildroot}%{_includedir}

echo ".so toast.1" > %{buildroot}%{_mandir}/man1/tcat.1
echo ".so toast.1" > %{buildroot}%{_mandir}/man1/untoast.1

#-----------------------------------------------------------------------------
%changelog
